

[Remap] ;These are all mandatory. Do not remove any of them!
x = x
y = y
z = z
a = a
b = b
c = c
s = s

[Defaults]
command.time = 15
command.buffer.time = 1

;======================================;
;         COMMMANDS           ;
;======================================;

[Command]
name = "SaveFileManipulation"
command = D,DB,B,x+z
time = 15

[Command]
name = "Dataminer"
command = D,DF,F,x+z
time = 15

[Command]
name = "Devil'sBullshit"
command = D,DB,B,x+y
time = 15

[Command]
name = "Cacophobia"
command = D,DF,F,y+z
time = 15

[Command]
name = "Angel'sBullshit"
command = D,DF,F,x+y
time = 15

[Command]
name = "BreakTheRock"
command = D,DF,F,x
time = 15

[Command]
name = "ClottySummon"
command = D,DB,B,c
time = 15

[Command]
name = "ChargerSummon"
command = D,DF,F,c
time = 15

[Command]
name = "BombThrow"
command = D,DF,F,a
time = 15

[Command]
name = "BrimstoneBombThrow"
command = D,DB,B,a
time = 15
;======================================;
;         DASHING AND RECOVERY         ;
;======================================;

[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;======================================;
;          DIRECTIONAL INPUTS          ;
;======================================;
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;======================================;
;         BUTTON INPUTS          ;
;======================================;

[Command]
name = "s"
command = s
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1




;===========================================================================
;---------------------------------------------------------------------------


[StateDef -1]

[State -1, AI ON] ; Turn the AI on when
Type = VarSet
TriggerAll = Var(59) < 1; it is not on yet and
TriggerAll = RoundState=2 ; the fight has started and is not over yet and
Trigger1 = AILevel>0 ; the computer is playing the character
v = 59
value= 1 ; value of 1 will mean the AI is on
Ignorehitpause=1

[State -1, AI OFF] ; Turn the AI off when
Type=VarSet
Trigger1=var(59)>0 ; it is on and
Trigger1=RoundState!=2 ; the round is not started yet or is already over
Trigger2=!IsHelper ; OR if we are a player, but
Trigger2=AILevel=0 ; the computer is not in control
v=59
value=0 ; value of 0 will mean the AI is off. values other than 0 and 1 are not used in this example, we have only one AI mode, the normal one.
Ignorehitpause=1

[State -1]
Type=VarSet
Trigger1=1
var(50)= 10 ;Change the 60 to whatever you want. Take note of this value, as I mention it below.

[State -1]
Type=Changestate
Triggerall=Inguarddist; Guard when in guard distance
Triggerall=var(59)>0; and the AI is on
Triggerall =ctrl || stateno = 102; and we have control
Triggerall = Numhelper(2270) = 0
Trigger1 = random< (var(50)* 35) ; Feel free to change the * 99 to whatever you want, 
value=120

[State -1]; The engine will still guard by through pressing the back button, we need to disable that.
Type=Assertspecial
Triggerall=StateNo!=[120,160]
Triggerall = Numhelper(2270) = 0
Trigger1=var(59)>0
flag=noairguard
flag2=nocrouchguard
flag3=nostandguard

;---------------------------------------------

[State -1, ResetTheRun]
type = ChangeState
value = 8400
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 3000
triggerall = statetype != A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
triggerall = life <= 500
triggerall = ctrl | stateno = 102
trigger1 = random<var(50) * 3
Trigger2 = p2bodydist x >= 100
trigger2 = random<var(50) * 35
trigger3 = (enemynear,hitfall)
trigger3 = random<var(50) * 75

[State -1, Dataminer]
type = ChangeState
value = 8300
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 3000
triggerall = var(15) = 0
triggerall = statetype != A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
triggerall = life >= 400
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 25


[State -1, Air Devil's Bullshit]
type = ChangeState
value = 8250
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 2000
triggerall = statetype = A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
trigger1 = p2bodydist y = [-45,45]
trigger1 = ctrl
trigger1 = random<var(50) * 0.3

[State -1, Devil's Bullshit]
type = ChangeState
value = 8200
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 2000
triggerall = statetype != A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 0.2
trigger2 = ctrl || stateno = 102
trigger2 = NumHelper(2241) > 0 || NumHelper(6120) > 0
trigger2 = random<var(50) * 0.5
trigger3 = stateno = 200 && movehit
trigger3 = random<var(50) * 1
trigger4 = stateno = 210 && movehit
trigger4 = random<var(50) * 1
trigger5 = stateno = 230 && movehit
trigger5 = random<var(50) * 1
trigger6 = stateno = 240 && movehit
trigger6 = random<var(50) * 5
trigger7 = stateno = 400 && movehit
trigger7 = random<var(50) * 1
trigger8 = stateno = 410 && movehit
trigger8 = random<var(50) * 1
trigger9 = stateno = 420 && movehit
trigger9 = random<var(50) * 5

[State -1, Cacophobia]
type = ChangeState
value = 8100
Triggerall = var(59)>0
triggerall = power >= 1000
triggerall = statetype != A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
trigger1 = ctrl
trigger1 = random<var(50) * 2

[State -1, Angel's Bullshit Air]
type = ChangeState
value = 8050
Triggerall = var(59)>0
triggerall = statetype = A
triggerall = power >= 1000
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
trigger1 = ctrl
trigger1 = random<var(50) * 0.2

[State -1, Angel's Bullshit]
type = ChangeState
value = 8000
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = power >= 1000
triggerall = statetype != A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 0.8
trigger2 = ctrl || stateno = 102
trigger2 = NumHelper(2241) > 0 || NumHelper(6120) > 0
trigger2 = random<var(50) * 0.3
trigger3 = stateno = 200 && movehit
trigger3 = random<var(50) * 1
trigger4 = stateno = 210 && movehit
trigger4 = random<var(50) * 1
trigger5 = stateno = 230 && movehit
trigger5 = random<var(50) * 1
trigger6 = stateno = 240 && movehit
trigger6 = random<var(50) * 5
trigger7 = stateno = 400 && movehit
trigger7 = random<var(50) * 1
trigger8 = stateno = 410 && movehit
trigger8 = random<var(50) * 1
trigger9 = stateno = 420 && movehit
trigger9 = random<var(50) * 5

[State -1, Slam Attack]
type = ChangeState
value = 230
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype = S
triggerall = RoundState = 2
triggerall = enemynear, pos y = [-50,50]
trigger1 = ctrl || stateno = 102
Trigger1 = p2bodydist x <= 200
trigger1 = random<var(50) * 10
trigger2 = ctrl || stateno = 102
trigger2 = enemynear, movetype = H
trigger2 = random<var(50) * 45
trigger3 = numhelper(6100)
trigger3 = ctrl || stateno = 102
trigger3 = ifelse(facing=1, helper(6100),pos x > pos x, helper(6100),pos x < pos x)
trigger3 = random<var(50) * 40
trigger4 = ctrl || stateno = 102
trigger4 = numhelper(6110)
trigger4 = ifelse(facing=1, helper(6110),pos x > pos x, helper(6110),pos x < pos x)
trigger4 = random<var(50) * 40

[State -1, The Randomizer]
type = ChangeState
value = 2000
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = var(11) = 0
triggerall = statetype = S
triggerall = ctrl || stateno = 102
trigger1 = random<var(50) * 2
Trigger2 = p2bodydist x >= 100
trigger2 = random<var(50) * 15
trigger3 = (enemynear,hitfall)
trigger3 = random<var(50) * 25

[State -1, An Enemy Appears Clotty]
type = ChangeState
value = 4040
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = var(2) = 0
triggerall = statetype = S
triggerall = ctrl || stateno = 102
trigger1 = random<var(50) * 2
trigger2 = (enemynear,hitfall)
trigger2 = random<var(50) * 15

[State -1, An Enemy Appears Charger]
type = ChangeState
value = 4030
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = var(2) = 0
triggerall = statetype = S
triggerall = ctrl || stateno = 102
trigger1 = random<var(50) * 2
trigger2 = (enemynear,hitfall)
trigger2 = random<var(50) * 15

[State -1, An Enemy Appears Trite]
type = ChangeState
value = 4020
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = var(2) = 0
triggerall = statetype = S
Triggerall = p2bodydist x <= 150
triggerall = BackEdgeBodyDist <= 85
triggerall = ctrl || stateno = 102
trigger1 = random<var(50) * 5
trigger2 = (enemynear,hitfall)
trigger2 = random<var(50) * 15

[State -1, An Enemy Appears Spider]
type = ChangeState
value = 4010
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = var(2) = 0
triggerall = statetype = S
triggerall = ctrl || stateno = 102
trigger1 = random<var(50) * 2
trigger2 = (enemynear,hitfall)
trigger2 = random<var(50) * 15

[State -1, An Enemy Appears Fly]
type = ChangeState
value = 4000
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = var(2) = 0
triggerall = statetype = S
triggerall = ctrl || stateno = 102
trigger1 = random<var(50) * 2
trigger2 = (enemynear,hitfall)
trigger2 = random<var(50) * 15

[State -1, Brimstone Bomb Throw]
type = ChangeState
value = 3010
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = NumHelper(3100) = 0 
triggerall = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 15

[State -1, BreaktheRock]
type = ChangeState
value = 6000
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = NumHelper(6020) = 0
triggerall = statetype = S
triggerall = ctrl || stateno = 102
trigger1 =  p2bodydist x > 75
trigger1 = random<var(50) * 10
trigger2 = (enemynear,hitfall)
trigger2 = random<var(50) * 35

[State -1, Bomb Throw]
type = ChangeState
value = 3000
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = RoundState = 2
triggerall = NumHelper(3100) = 0 
triggerall = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = random<var(50) * 15

[State -1, Air G-Fuel Spread Projectile]
type = ChangeState
value = 1210
Triggerall = var(59)>0
triggerall = statetype = A
trigger1 = ctrl
trigger1 = p2bodydist y = [-45,45]
Trigger1 = p2bodydist x <= 150
trigger1 = p2bodydist x >= 0
trigger1 = random<var(50) * 15

[State -1, Air G-Fuel Small Projectiles]
type = ChangeState
value = 1110
Triggerall = var(59)>0
triggerall = statetype = A
trigger1 = ctrl
trigger1 = p2bodydist y = [-45,45]
trigger1 = p2bodydist x >= 0
trigger1 = random<var(50) * 10

[State -1, Air G-Fuel Normal Projectile]
type = ChangeState
value = 1010
Triggerall = var(59)>0
triggerall = statetype = A
trigger1 = ctrl
trigger1 = p2bodydist y = [-45,45]
trigger1 = p2bodydist x >= 0
trigger1 = random<var(50) * 10

[State -1, G-Fuel Spread Projectiles]
type = ChangeState
value = 1200
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype = S
triggerall = RoundState = 2
trigger1 = ctrl || stateno = 102
Trigger1 = p2bodydist x <= 150
trigger1 = p2bodydist x >= 0
trigger1 = random<var(50) * 20

[State -1, G-Fuel Small Projectiles]
type = ChangeState
value = 1100
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype = S
triggerall = RoundState = 2
triggerall = ctrl || stateno = 102
trigger1 = random<var(50) * 2
Trigger2 = p2bodydist x >= 100
trigger2 = random<var(50) * 20

[State -1, G-Fuel Normal Projectile]
type = ChangeState
value = 1000
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype = S
triggerall = RoundState = 2
triggerall = ctrl || stateno = 102
trigger1 = random<var(50) * 2
Trigger2 = p2bodydist x >= 100
trigger2 = random<var(50) * 20

[State -1, Run] 
Type=Changestate
Triggerall = var(59)>0
Triggerall = alive = 1
Triggerall = ctrl
triggerall = statetype = S
Triggerall = p2bodydist x  >= 10
triggerall = RoundState = 2
trigger1 = random<var(50) * 35
value = 102

[State -1, Run Back] 
Type=Changestate
Triggerall = var(59)>0
Triggerall = alive = 1
Triggerall = ctrl || stateno = 102
triggerall = statetype = S
triggerall = RoundState = 2
triggerall = BackEdgeDist >= 50
trigger1 = random<var(50) * 2.5
trigger2 = numhelper(6100)
trigger2 = ifelse(facing=1, helper(6100),pos x < pos x, helper(6100),pos x > pos x)
trigger2 = random<var(50) * 40
trigger3 = numhelper(6110)
trigger3 = ifelse(facing=1, helper(6110),pos x < pos x, helper(6110),pos x > pos x)
trigger3 = random<var(50) * 40
value = 105

[State -1,Jump]
type=changestate
Triggerall = var(59)>0
Triggerall = alive = 1
Triggerall = ctrl || stateno = 102
triggerall = statetype = S
triggerall = RoundState = 2
trigger1 = random<var(50) * 0.2
trigger2 = enemynear, statetype = A
trigger2 = random<var(50) * 5
value = 40


[State -1, Air Medium and Heavy Attack]
type = ChangeState
value = 610
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype = A
triggerall = RoundState = 2
trigger1 = ctrl
Trigger1 = p2bodydist x <= 75
trigger1 = random<var(50) * 55

[State -1, Air Light Attack]
type = ChangeState
value = 600
Triggerall = var(59)>0
triggerall = statetype = A
trigger1 = ctrl
Trigger1 = p2bodydist x <= 95
trigger1 = random<var(50) * 35

[State -1, Grab Attack]
type = ChangeState
value = 250
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype = S
trigger1 = ctrl || stateno = 102
trigger1 = enemynear, pos y = [-50,50]
trigger1 = !(enemynear,IsHelper)
Trigger1 = p2bodydist x <= 45
trigger1 = random<var(50) * 15

[State -1, Crying Attack]
type = ChangeState
value = 240
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype = S
triggerall = RoundState = 2
Trigger1 = p2bodydist x <= 90
trigger1 = ctrl || stateno = 102
trigger1 = enemynear, pos y = [-50,50]
trigger1 = random<var(50) * 12
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 3
trigger3 = stateno = 200 && movecontact
trigger3 = enemynear, statetype = A
trigger3 = random<var(50) * 65
trigger4 = stateno = 210 && movecontact
trigger4 = random<var(50) * 50
trigger5 = stateno = 230 && movecontact
trigger5 = random<var(50) * 3

[State -1, Heavy Attack]
type = ChangeState
value = 220
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype = S
triggerall = RoundState = 2
Triggerall = p2bodydist x <= 85
trigger1 = ctrl || stateno = 102
trigger1 = enemynear, pos y = [-50,50]
trigger1 = random<var(50) * 10
trigger2 = stateno = 200 && movecontact
trigger2 = random<var(50) * 1
trigger3 = stateno = 200 && movecontact
trigger3 = enemynear, statetype = A
trigger3 = random<var(50) * 75
trigger4 = stateno = 210 && movecontact
trigger4 = random<var(50) * 50
trigger5 = stateno = 230 && movecontact
trigger5 = random<var(50) * 2

[State -1, Crouch Heavy Attack]
type = ChangeState
value = 420
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype != A
triggerall = RoundState = 2
Triggerall = p2bodydist x <= 75
trigger1 = ctrl || stateno = 102
trigger1 = enemynear, pos y = [-50,50]
trigger1 = random<var(50) * 10
trigger2 = stateno = 400 && movecontact
trigger2 = random<var(50) * 15
trigger3 = stateno = 410 && movecontact
trigger3 = random<var(50) * 95

[State -1, Medium Attack]
type = ChangeState
value = 210
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype = S
triggerall = RoundState = 2
Triggerall = p2bodydist x <= 55
trigger1 = ctrl || stateno = 102
trigger1 = enemynear, pos y = [-50,50]
trigger1 = random<var(50) * 25
trigger2 = stateno = 200 && movecontact
Trigger2 = p2bodydist x >= 30
trigger2 = enemynear, statetype != A
trigger2 = random<var(50) * 95
trigger3 = stateno = 230 && movecontact
trigger3 = random<var(50) * 5

[State -1, Light Attack]
type = ChangeState
value = 200
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype = S
triggerall = RoundState = 2
Triggerall = p2bodydist x <= 45
trigger1 = ctrl || stateno = 102
trigger1 = enemynear, pos y = [-50,50]
trigger1 = random<var(50) * 55
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 230 && movecontact
trigger3 = random<var(50) * 85

[State -1, Crouch Medium Attack]
type = ChangeState
value = 410
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype != A
triggerall = RoundState = 2
Triggerall = p2bodydist x <= 55
trigger1 = ctrl || stateno = 102
trigger1 = enemynear, pos y = [-50,50]
trigger1 = random<var(50) * 35
trigger2 = stateno = 400 && movecontact

[State -1, Crouch Light Attack]
type = ChangeState
value = 400
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype != A
triggerall = RoundState = 2
Triggerall = p2bodydist x <= 35
trigger1 = ctrl || stateno = 102
trigger1 = enemynear, pos y = [-50,50]
trigger1 = random<var(50) * 55
trigger2 = stateno = 400 && movecontact
Trigger2 = p2bodydist x >= 35
trigger2 = random<var(50) * 85

[State -1, Taunt]
type = ChangeState
value = 700
Triggerall = var(59)>0
Triggerall = alive = 1
triggerall = statetype != A
trigger1 = ctrl
trigger1 = random<var(50) * 1


;---------------------------------------------


[State -1, ResetTheRun]
type = ChangeState
value = 8400
triggerall = Var(59) <= 0
triggerall = command = "SaveFileManipulation"
triggerall = power >= 3000
triggerall = statetype != A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
trigger1 = ctrl

[State -1, Dataminer]
type = ChangeState
value = 8300
triggerall = Var(59) <= 0
triggerall = command = "Dataminer"
triggerall = power >= 3000
triggerall = var(15) = 0
triggerall = statetype != A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
trigger1 = ctrl

[State -1, Air Devil's Bullshit]
type = ChangeState
value = 8250
triggerall = Var(59) <= 0
triggerall = command = "Devil'sBullshit"
triggerall = power >= 2000
triggerall = statetype = A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
trigger1 = ctrl

[State -1, Devil's Bullshit]
type = ChangeState
value = 8200
triggerall = Var(59) <= 0
triggerall = command = "Devil'sBullshit"
triggerall = power >= 2000
triggerall = statetype != A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 400 && movecontact
trigger7 = stateno = 410 && movecontact
trigger8 = stateno = 420 && movecontact

[State -1, Cacophobia]
type = ChangeState
value = 8100
triggerall = Var(59) <= 0
triggerall = command = "Cacophobia"
triggerall = NumHelper(8110) = 0
triggerall = power >= 1000
triggerall = statetype != A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
trigger1 = ctrl

[State -1, Angel's Bullshit Air]
type = ChangeState
value = 8050
triggerall = Var(59) <= 0
triggerall = command = "Angel'sBullshit"
triggerall = power >= 1000
triggerall = statetype = A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
trigger1 = ctrl

[State -1, Angel's Bullshit]
type = ChangeState
value = 8000
triggerall = Var(59) <= 0
triggerall = command = "Angel'sBullshit"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = NumHelper(8110) = 0 || NumHelper(81110) = 0
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 400 && movecontact
trigger7 = stateno = 410 && movecontact
trigger8 = stateno = 420 && movecontact

[State -1, BreaktheRock]
type = ChangeState
value = 6000
triggerall = Var(59) <= 0
triggerall = command = "BreakTheRock"
triggerall = NumHelper(6020) = 0
triggerall = statetype != A
trigger1 = ctrl

[State -1, An Enemy Appears Clotty]
type = ChangeState
value = 4040
triggerall = Var(59) <= 0
triggerall = command = "ClottySummon"
triggerall = var(2) = 0
triggerall = statetype != A
trigger1 = ctrl

[State -1, An Enemy Appears Charger]
type = ChangeState
value = 4030
triggerall = Var(59) <= 0
triggerall = command = "ChargerSummon"
triggerall = var(2) = 0
triggerall = statetype != A
trigger1 = ctrl

[State -1, An Enemy Appears Trite]
type = ChangeState
value = 4020
triggerall = Var(59) <= 0
triggerall = command != "holdfwd"
triggerall = command = "holdback"
triggerall = command = "c"
triggerall = var(2) = 0
triggerall = statetype != A
trigger1 = ctrl

[State -1, An Enemy Appears Spider]
type = ChangeState
value = 4010
triggerall = Var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command != "holdback"
triggerall = command = "c"
triggerall = var(2) = 0
triggerall = statetype != A
trigger1 = ctrl

[State -1, An Enemy Appears Fly]
type = ChangeState
value = 4000
triggerall = Var(59) <= 0
triggerall = command != "holdfwd"
triggerall = command != "holdback"
triggerall = command = "c"
triggerall = var(2) = 0
triggerall = statetype != A
trigger1 = ctrl

[State -1, Brimstone Bomb Throw]
type = ChangeState
value = 3010
triggerall = Var(59) <= 0
triggerall = command = "BrimstoneBombThrow"
triggerall = NumHelper(3100) = 0 
triggerall = statetype != A
trigger1 = ctrl

[State -1, Bomb Throw]
type = ChangeState
value = 3000
triggerall = Var(59) <= 0
triggerall = command = "BombThrow"
triggerall = NumHelper(3100) = 0 
triggerall = statetype != A
trigger1 = ctrl

[State -1, The Randomizer]
type = ChangeState
value = 2000
triggerall = Var(59) <= 0
triggerall = command = "b"
triggerall = var(11) = 0
triggerall = statetype = S
trigger1 = ctrl

[State -1, Air G-Fuel Spread Projectile]
type = ChangeState
value = 1210
triggerall = Var(59) <= 0
triggerall = command = "holdback"
triggerall = command != "holdfwd"
triggerall = command = "a"
triggerall = statetype = A
trigger1 = ctrl

[State -1, Air G-Fuel Small Projectiles]
type = ChangeState
value = 1110
triggerall = Var(59) <= 0
triggerall = command != "holdback"
triggerall = command = "holdfwd"
triggerall = command = "a"
triggerall = statetype = A
trigger1 = ctrl

[State -1, Air G-Fuel Normal Projectile]
type = ChangeState
value = 1010
triggerall = Var(59) <= 0
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall = command = "a"
triggerall = statetype = A
trigger1 = ctrl

[State -1, G-Fuel Spread Projectiles]
type = ChangeState
value = 1200
triggerall = Var(59) <= 0
triggerall = command = "holdback"
triggerall = command != "holdfwd"
triggerall = command = "a"
triggerall = statetype = S
trigger1 = ctrl

[State -1, G-Fuel Small Projectiles]
type = ChangeState
value = 1100
triggerall = Var(59) <= 0
triggerall = command != "holdback"
triggerall = command = "holdfwd"
triggerall = command = "a"
triggerall = statetype = S
trigger1 = ctrl

[State -1, G-Fuel Normal Projectile]
type = ChangeState
value = 1000
triggerall = Var(59) <= 0
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall = command = "a"
triggerall = statetype = S
trigger1 = ctrl

[State -1, Air Medium and Heavy Attack]
type = ChangeState
value = 610
triggerall = Var(59) <= 0
triggerall = command = "y" || command = "z"
triggerall = statetype = A
trigger1 = ctrl

[State -1, Air Light Attack]
type = ChangeState
value = 600
triggerall = Var(59) <= 0
triggerall = command = "x"
triggerall = statetype = A
trigger1 = ctrl

[State -1, Crouch Heavy Attack]
type = ChangeState
value = 420
triggerall = Var(59) <= 0
triggerall = command = "z"
triggerall = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && movecontact
trigger3 = stateno = 410 && movecontact

[State -1, Crouch Medium Attack]
type = ChangeState
value = 410
triggerall = Var(59) <= 0
triggerall = command = "y"
triggerall = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && movecontact
trigger3 = stateno = 410 && movecontact

[State -1, Crouch Light Attack]
type = ChangeState
value = 400
triggerall = Var(59) <= 0
triggerall = command = "x"
triggerall = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && movecontact

[State -1, Grab Attack]
type = ChangeState
value = 250
triggerall = Var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "z"
triggerall = statetype = S
trigger1 = ctrl

[State -1, Crying Attack]
type = ChangeState
value = 240
triggerall = Var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "y"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact

[State -1, Slam Attack]
type = ChangeState
value = 230
triggerall = Var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "x"
triggerall = statetype = S
trigger1 = ctrl

[State -1, Heavy Attack]
type = ChangeState
value = 220
triggerall = Var(59) <= 0
triggerall = command = "z"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact

[State -1, Medium Attack]
type = ChangeState
value = 210
triggerall = Var(59) <= 0
triggerall = command != "holdfwd"
triggerall = command = "y"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 230 && movecontact

[State -1, Light Attack]
type = ChangeState
value = 200
triggerall = Var(59) <= 0
triggerall = command != "holdfwd"
triggerall = command = "x"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 230 && movecontact

[State -1, Taunt]
type = ChangeState
value = 700
triggerall = Var(59) <= 0
triggerall = command = "s"
triggerall = statetype = S
trigger1 = ctrl

[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = Var(59) <= 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Dash Back]
type = ChangeState
value = 105
triggerall = Var(59) <= 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl